Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 499954 (gnome-3.10-stable) - Stabilize Gnome 3.10
Summary: Stabilize Gnome 3.10
Status: RESOLVED FIXED
Alias: gnome-3.10-stable
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: STABLEREQ
: 477662 gnome-3.8-stable 495408 496622 500720 501720 502092 502094 502206 (view as bug list)
Depends on: 488808 496628 498186 500368 500718 500720 500726 500758 501344 501720 501854 502092 502094 502200 502204 502206 502210 502212 502214
Blocks: 416489 440866 450236 463844 467378 482332 CVE-2013-4169 CVE-2013-2190 492238 495798 498930 504744 506826 507150 507486
  Show dependency tree
 
Reported: 2014-02-01 09:00 UTC by Pacho Ramos
Modified: 2014-04-15 06:39 UTC (History)
11 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Stable list (gnome-list,27.12 KB, text/plain)
2014-02-23 15:35 UTC, Pacho Ramos
Details
Stable list -r1 (gnome-list,27.27 KB, text/plain)
2014-03-01 08:22 UTC, Pacho Ramos
Details
Stable list -r2 (gnome-list,32.65 KB, text/plain)
2014-03-03 21:01 UTC, Pacho Ramos
Details
Stable list -r3 (gnome-list,32.65 KB, text/plain)
2014-03-03 21:23 UTC, Pacho Ramos
Details
Stable list -r4 (gnome-list,32.66 KB, text/plain)
2014-03-08 11:09 UTC, Pacho Ramos
Details
Stable list -r5 (gnome-list,32.66 KB, text/plain)
2014-03-08 11:17 UTC, Pacho Ramos
Details
Stable list -r6 (gnome-list,32.57 KB, text/plain)
2014-03-08 11:25 UTC, Pacho Ramos
Details
Stable list -r6 (gnome-list,32.61 KB, text/plain)
2014-03-08 15:14 UTC, Pacho Ramos
Details
Stable list -r7 (gnome-list,32.61 KB, text/plain)
2014-03-08 15:35 UTC, Pacho Ramos
Details
Stable list -r7 (gnome-list,32.61 KB, text/plain)
2014-03-08 15:56 UTC, Pacho Ramos
Details
Stable list -r8 (gnome-list,33.87 KB, text/plain)
2014-03-08 20:45 UTC, Pacho Ramos
Details
Stable list -r9 (gnome-list,33.87 KB, text/plain)
2014-03-14 04:45 UTC, Alexandre Rostovtsev (RETIRED)
Details
Stable list -r10 (attachment.cgi?id=372634,33.87 KB, text/plain)
2014-03-15 10:50 UTC, Pacho Ramos
Details
Stable list -r11 (gnome-list,33.87 KB, text/plain)
2014-03-15 22:42 UTC, Alexandre Rostovtsev (RETIRED)
Details
Stable list -r12 (attachment.cgi?id=372770,33.87 KB, text/plain)
2014-03-16 14:42 UTC, Pacho Ramos
Details
Stable list -r13 (attachment.cgi?id=372804,33.78 KB, text/plain)
2014-04-13 09:10 UTC, Pacho Ramos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2014-02-01 09:00:20 UTC
This is for tracking purposes as, probably, we will need to stabilize lots of other things before Gnome 3.10
Comment 1 Agostino Sarubbo gentoo-dev 2014-02-01 20:06:00 UTC
Please make one list instead of hundred blockers bug.
Comment 2 Pacho Ramos gentoo-dev 2014-02-23 15:35:57 UTC
Created attachment 371124 [details]
Stable list
Comment 3 Pacho Ramos gentoo-dev 2014-02-23 15:45:28 UTC
*** Bug 502092 has been marked as a duplicate of this bug. ***
Comment 4 Pacho Ramos gentoo-dev 2014-03-01 08:21:49 UTC
*** Bug 500720 has been marked as a duplicate of this bug. ***
Comment 5 Pacho Ramos gentoo-dev 2014-03-01 08:22:06 UTC
Created attachment 371478 [details]
Stable list -r1
Comment 6 Pacho Ramos gentoo-dev 2014-03-03 21:01:29 UTC
Created attachment 371678 [details]
Stable list -r2

This drops gnome-music (as neither works for me) and appends gstreamer list to make the lives of arch teams easier
Comment 7 Pacho Ramos gentoo-dev 2014-03-03 21:02:24 UTC
*** Bug 502094 has been marked as a duplicate of this bug. ***
Comment 8 Pacho Ramos gentoo-dev 2014-03-03 21:23:20 UTC
Created attachment 371680 [details]
Stable list -r3

Two updated packages
Comment 9 Pacho Ramos gentoo-dev 2014-03-08 11:04:24 UTC
*** Bug 495408 has been marked as a duplicate of this bug. ***
Comment 10 Pacho Ramos gentoo-dev 2014-03-08 11:09:13 UTC
Created attachment 372062 [details]
Stable list -r4

Updated list
Comment 11 Pacho Ramos gentoo-dev 2014-03-08 11:17:20 UTC
Created attachment 372066 [details]
Stable list -r5
Comment 12 Pacho Ramos gentoo-dev 2014-03-08 11:25:43 UTC
Created attachment 372068 [details]
Stable list -r6

Drop epiphany-extensions as it's obsolete in -3 for some cycles (and no longer builds)
Comment 13 Pacho Ramos gentoo-dev 2014-03-08 15:14:08 UTC
Created attachment 372084 [details]
Stable list -r6

Forgot a game for repoman happy on arm
Comment 14 Pacho Ramos gentoo-dev 2014-03-08 15:35:42 UTC
Created attachment 372086 [details]
Stable list -r7

vpx stuff ugliness on sparc
Comment 15 Pacho Ramos gentoo-dev 2014-03-08 15:56:38 UTC
Created attachment 372088 [details]
Stable list -r7
Comment 16 Pacho Ramos gentoo-dev 2014-03-08 15:57:41 UTC
*** Bug 478252 has been marked as a duplicate of this bug. ***
Comment 17 Pacho Ramos gentoo-dev 2014-03-08 16:02:11 UTC
Finally CCing arches, only some notes:
- bug 500368 is only needed for arm, the remaining arches can go ahead without waiting for it.
- I can take care of amd64 and x86, I am also working with Emeric (that uses Gnome 3.10 on ia64) to take care of ia64. Then, if you want to focus in remaining arches to try to share efforts, that would be nice :)

Thanks!

Ago, I tried to concatenate packages on a unique list when I was involved in the maintainance of such packages or maintainers had no issue with concatenating (like gst* stuff, bluez, bluedevil, shotwell), but not for others that are not related with me or gnome team at all. The list of blockers is not so big as was for 3.8 but, if it's still problematic for you, I guess we could explicitly suggest in a comment in relevant bug reports to merge them to this one :/
Comment 18 Pacho Ramos gentoo-dev 2014-03-08 16:12:35 UTC
*** Bug 498930 has been marked as a duplicate of this bug. ***
Comment 19 Pacho Ramos gentoo-dev 2014-03-08 16:15:56 UTC
*** Bug 477662 has been marked as a duplicate of this bug. ***
Comment 20 Pacho Ramos gentoo-dev 2014-03-08 20:45:26 UTC
Created attachment 372118 [details]
Stable list -r8

Merge some bugs here
Comment 21 Pacho Ramos gentoo-dev 2014-03-08 20:46:02 UTC
*** Bug 500718 has been marked as a duplicate of this bug. ***
Comment 22 Pacho Ramos gentoo-dev 2014-03-08 20:46:12 UTC
*** Bug 500758 has been marked as a duplicate of this bug. ***
Comment 23 Pacho Ramos gentoo-dev 2014-03-08 20:46:21 UTC
*** Bug 501720 has been marked as a duplicate of this bug. ***
Comment 24 Pacho Ramos gentoo-dev 2014-03-08 20:46:29 UTC
*** Bug 502206 has been marked as a duplicate of this bug. ***
Comment 25 Pacho Ramos gentoo-dev 2014-03-08 20:46:38 UTC
*** Bug 502210 has been marked as a duplicate of this bug. ***
Comment 26 Pacho Ramos gentoo-dev 2014-03-08 20:46:46 UTC
*** Bug 496622 has been marked as a duplicate of this bug. ***
Comment 27 Pacho Ramos gentoo-dev 2014-03-09 11:02:37 UTC
amd64 stable
Comment 28 Pacho Ramos gentoo-dev 2014-03-09 12:10:05 UTC
x86 stable
Comment 29 Alexandre Rostovtsev (RETIRED) gentoo-dev 2014-03-14 04:45:22 UTC
Created attachment 372634 [details]
Stable list -r9

Changed glib stabilization target to 2.38.2-r1 because of bug #501330
Comment 30 Leho Kraav (:macmaN @lkraav) 2014-03-15 08:31:32 UTC
Hey guys, thanks for doing all the hard work here. I'm emerging gnome-light-3.10 right now and am wondering how to get it smoother to a point, where libsoup + libsoup-gnome, gobject-instrospection and gobject-introspection-common, cogl + clutter + clutter-gtk don't create what I think are deploops that even --backtrack=200 cannot resolve? Should I be able to upgrade in one fell swoop with just doing "emerge -va1 gnome-light"?
Comment 31 Pacho Ramos gentoo-dev 2014-03-15 10:02:12 UTC
You should probably go to forums.gentoo.org and show the error there to try to know what is occurring in your setup :/
Comment 32 Pacho Ramos gentoo-dev 2014-03-15 10:50:55 UTC
Created attachment 372718 [details]
Stable list -r10

Include fixed seahorse
Comment 33 Leho Kraav (:macmaN @lkraav) 2014-03-15 13:43:57 UTC
OK I'll go elsewhere with that issue. But on another stabilization note, gnome-photos-3.10.2 install phase is broken:

...
installing et.gmo as /mnt/datapool/tmp/portage/media-gfx/gnome-photos-3.10.2/image//usr/share/locale/et/LC_MESSAGES/gnome-photos.mo
make[1]: Leaving directory `/mnt/datapool/tmp/portage/media-gfx/gnome-photos-3.10.2/work/gnome-photos-3.10.2/po'
rm: cannot remove '/mnt/datapool/tmp/portage/media-gfx/gnome-photos-3.10.2/image//usr/share/doc/gnome-photos': No such file or directory
 * ERROR: media-gfx/gnome-photos-3.10.2::gentoo failed (install phase):
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line  93:  Called src_install
 *   environment, line 3656:  Called die
 * The specific snippet of code:
 *       rm -r "${D}/usr/share/doc/${PN}" || die
 * 
...

Let me know if you want a separate bug filed for this.
Comment 34 Pacho Ramos gentoo-dev 2014-03-15 15:02:38 UTC
Yes, always open new bug report (remember to attach there full build.log and "emerge --info", as a side note, you could try with MAKEOPTS=-j1 as it looks to be a parallel install issue)
Comment 35 Alexandre Rostovtsev (RETIRED) gentoo-dev 2014-03-15 22:42:16 UTC
Created attachment 372770 [details]
Stable list -r11

Changed gnome-shell target to 3.10.4-r1 for bug #503952
Comment 36 Pacho Ramos gentoo-dev 2014-03-16 14:42:41 UTC
Created attachment 372804 [details]
Stable list -r12

Updated evolution
Comment 37 Jeroen Roovers gentoo-dev 2014-03-28 03:00:26 UTC
Stable for HPPA.
Comment 38 Pacho Ramos gentoo-dev 2014-03-29 08:48:31 UTC
Any news from ppc*/sparc/alpha/arm? :/
Comment 39 Pacho Ramos gentoo-dev 2014-04-04 19:31:39 UTC
(In reply to Pacho Ramos from comment #38)
> Any news from ppc*/sparc/alpha/arm? :/

Other option would be to finally drop stable keyword for most gnome packages on remaining arches (the list should probably be similar to the currently used on hppa). Do you agree with that?
Comment 40 Matt Turner gentoo-dev 2014-04-05 19:22:26 UTC
(In reply to Pacho Ramos from comment #39)
> (In reply to Pacho Ramos from comment #38)
> > Any news from ppc*/sparc/alpha/arm? :/
> 
> Other option would be to finally drop stable keyword for most gnome packages
> on remaining arches (the list should probably be similar to the currently
> used on hppa). Do you agree with that?

The alpha team is okay with having its stable keywords dropped from gnome packages. I'll leave us Cc'd until that happens.

Probably best for a gnome maintainer to do it? I'm not sure.
Comment 41 Samuli Suominen gentoo-dev 2014-04-05 19:28:35 UTC
(In reply to Matt Turner from comment #40)
> (In reply to Pacho Ramos from comment #39)
> > (In reply to Pacho Ramos from comment #38)
> > > Any news from ppc*/sparc/alpha/arm? :/
> > 
> > Other option would be to finally drop stable keyword for most gnome packages
> > on remaining arches (the list should probably be similar to the currently
> > used on hppa). Do you agree with that?
> 
> The alpha team is okay with having its stable keywords dropped from gnome
> packages. I'll leave us Cc'd until that happens.
> 
> Probably best for a gnome maintainer to do it? I'm not sure.

When HPPA removed it from GNOME, they also removed it from gnome-base/gvfs, which is really GLIB/GIO VFS, used by eg. xfce-base/thunar
So you might want to define to which level you want it done, everything, or "most"?
Comment 42 Mart Raudsepp gentoo-dev 2014-04-05 23:32:34 UTC
(In reply to Pacho Ramos from comment #39)
> (In reply to Pacho Ramos from comment #38)
> > Any news from ppc*/sparc/alpha/arm? :/
> 
> Other option would be to finally drop stable keyword for most gnome packages
> on remaining arches (the list should probably be similar to the currently
> used on hppa). Do you agree with that?

I would hope that any arch team that has users that would like to have GNOME, would be able to provide that in their stable tree. The most likely suspect here would probably be arm, but maybe some others too; mostly depends on their 3D story I guess (which I know to be good for many devices, albeit chaotic to package, for arm)..
Comment 43 Pacho Ramos gentoo-dev 2014-04-06 06:10:10 UTC
Yeah, I was talking with Ago and looks like he will have time for some arches. Were rethinking more and looks like dropping some stable keywords would be pretty hard as it's difficult to know what exact packages still need to be stabilized as they depend on the apps each arch team still want to be stabilized, and that won't be easily known until we don't start to try to drop old versions (that needs to wait until we agree about when to drop gnome2 packages) :/
Comment 44 Pacho Ramos gentoo-dev 2014-04-13 09:10:52 UTC
Created attachment 374844 [details]
Stable list -r13

drop telepathy-python
Comment 45 Pacho Ramos gentoo-dev 2014-04-15 06:39:15 UTC
We will go with shorter list for remaining arches finally as talked with Ago and Gilles -> bug 507568